<?php
/**
 * @package Virtual Assistant 
 * Setup the WordPress core custom header feature.
 *
 * @uses virtual_assistant_header_style()
*/
function virtual_assistant_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'virtual_assistant_custom_header_args', array(
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 70,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'virtual_assistant_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'virtual_assistant_custom_header_setup' );

if ( ! function_exists( 'virtual_assistant_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see virtual_assistant_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'virtual_assistant_header_style' );

function virtual_assistant_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .main-topbar{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		    background-size: cover;
		}";
	   	wp_add_inline_style( 'virtual-assistant-basic-style', $custom_css );
	endif;
}
endif;